bglibs (2.04+dfsg-8) unstable; urgency=medium

  * QA upload.
  * Generate Built-Using for glibc due to static linking (Closes: #1106795)

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 May 2025 12:35:15 +0200

bglibs (2.04+dfsg-7) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1072197)
  * debian/control: Set maintainer to Debian QA Group.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jan 2025 12:28:08 -0500

bglibs (2.04+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload to fix FTBFS.
  * Add the declarations patch to define _GNU_SOURCE for sigpause(3).
    Closes: #1074841

 -- Peter Pentchev <roam@debian.org>  Wed, 07 Aug 2024 15:20:24 +0300

bglibs (2.04+dfsg-6) unstable; urgency=medium

  * Replace 'd/symbols' with regenerated 'd/libbg2.symbols'.
  * Remove 'd/patches/002_debian_changes.patch'.
  * Add 'typo-in-manual-page' rule to 'libbg-dev.lintian-overrides'.
    - This has been sent upstream as a Pull Request (PR).

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 13 Dec 2023 23:42:35 +0000

bglibs (2.04+dfsg-5) unstable; urgency=medium

  * Add lintian override files.
    - libbg2.lintian-overrides.
    - libbg-dev.lintian-overrides.
  * Rename and organise patches.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 12 Dec 2023 13:54:43 +0000

bglibs (2.04+dfsg-4) unstable; urgency=medium

  * New maintainer (Closes: #991029).
  * d/control: Use debhelper-compat 13.
    - Update paths for manpages/binaries and add missing binary 'crc-gentab'.
  * d/control: libbg-dev - Add '${perl:Depends}'.
  * d/control: Replace 'Short-Desc' and 'Long-Desc' with 'Description.
  * d/control: Update 'Standards-Version' to 4.6.2.0 - No Changes required.
  * d/control: Add 'Rules-Requires-Root: no'.
  * d/control: Use HTTPS homepage URL.
  * d/control: Reorganise 'Description' sections.
  * d/copyright: Add Phil Wyett for 'debian/*'.
  * d/patches/debian-changes: Add temporary description.
    - Patch and its changes marked for review.
  * d/rules: Override and skip dwz compression of binaries.
  * d/rules: Remove unneeded 'include /usr/share/dpkg/default.mk'.
  * Add 'd/source/lintian-overrides'.
    - Add 'bglibs source: public-upstream-key-not-minimal'.
    - Add 'bglibs source: very-long-line-length-in-source-file'.
  * Add 'd/upstream/metadata'.
  * Remove generated files in clean target (Closes: #1043910)

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 10 Dec 2023 11:15:47 +0000

bglibs (2.04+dfsg-3) unstable; urgency=medium

  * QA Upload.
  * Orphan package - see bug 991029.
  * Ensure perl path is set to '/usr/bin/perl' (Closes: #1037276).

  [ Debian Janitor ]
  * Apply multi-arch hints. + libbg2-doc: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster (oldstable).

 -- Bastian Germann <bage@debian.org>  Sat, 17 Jun 2023 19:23:27 +0200

bglibs (2.04+dfsg-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 13:18:07 +0100

bglibs (2.04+dfsg-2) unstable; urgency=medium

  * New maintainer (Closes: #544056)
  * Update Vcs-* fields in debian/control.
  * Update standards version to 4.2.1 (no changes needed)
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update symbols file

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 28 Nov 2018 22:36:45 +0000

bglibs (2.04+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * Fix watch file
  * Bump std-version to 4.1.4, no changes required.
  * Move the library to libs
  * Drop unused jquery override
  * Use DEB_BUILD_MAINT_OPTIONS to enable hardening

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Apr 2018 11:32:16 +0200

bglibs (2.03+dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * This one is for you Dmitry, thanks for your hard work,
    sorry for "stealing your transition!"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 17:20:39 +0100

bglibs (2.03+dfsg-3) experimental; urgency=medium

  * QA upload
  [ Adam Conrad ]
  * Put in section devel, to match the archive

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.1.2, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 15:10:58 +0100

bglibs (2.03+dfsg-2) experimental; urgency=medium

  * QA upload
  * Remove Conflict field from libbg-dev.
  * Install build tools into libbg-dev package, since they are required
    for building other packages of same upstream.
  * Fix spelling error in cli-generate.1

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 05 Feb 2017 08:32:31 +0300

bglibs (2.03+dfsg-1) experimental; urgency=medium

  * QA upload
  * New upstream release
  * Add debian/watch file and associated upstream GPG key
  * Replace manual invocation of dpkg-buildflags in debian/rules
    with inclusion of /usr/share/dpkg/default.mk
  * Disable network-accessing tests
  * Change binary package names, since this version of library
    is both source-incompatible (headers are restructured) and
    binary-incompatible (soname is chaged)
  * Convert debian/rules to debhelper
  * Rebuild doxygen documentation during build process
  * Re-enable hardening
  * Generate symbols file
  * Register documentation with doc-base
  * Drop soname from development binary package name

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 22 Jan 2017 09:01:58 +0300

bglibs (1.106-3) unstable; urgency=medium

  * QA upload.
  * Do not add -fPIC to CFLAGS. This undoes the change in the previous
    upload as it was not really necessary. Thanks to Adrian Bunk for
    the report. Closes: #842109.

 -- Santiago Vila <sanvila@debian.org>  Wed, 26 Oct 2016 13:29:02 +0200

bglibs (1.106-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build binaries with -fPIC (Closes: #837709)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Sep 2016 20:17:16 +0200

bglibs (1.106-2) unstable; urgency=medium

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * debian/rules: Drop patch target and related stuff.
  * debian/control: Package is orphaned (Bug #544056),
    set Maintainer field to "Debian QA Group".
  * debian/control: Drop Recommends of libbg1 on libbg1-doc.
  * debian/rules and debian/implicit: Use gzip -n to improve
    reproducibility. Closes: #776942. Thanks to Chris Lamb.
  * debian/rules: Allow build with umask 002 to improve reproducibility.
  * debian/rules: Do not save or restore conf-bin, conf-cc, conf-include,
    conf-lib or conf-man. Just remove them in the clean target.
  * debian/rules: Add conf-ld to the mix and use dpkg-buildflags for hardening.
  * debian/rules: Add build-arch and build-indep targets. Closes: #831918.
  * debian/rules: Do not pass -isp to dpkg-gencontrol, it does nothing.
  * debian/implicit: Sort output of find before calculating md5sums to
    improve reproducibility.
  * debian/implicit: Add support for triggers.
  * debian/libbg1.triggers: New file to do ldconfig stuff with triggers.
  * Drop postinst and postrm accordingly.
  * debian/control: Standards-Version: 3.9.8.

 -- Santiago Vila <sanvila@debian.org>  Sun, 07 Aug 2016 17:44:22 +0200

bglibs (1.106-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761734.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:15:11 +0000

bglibs (1.106-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: package libbg-docs: properly install documentation
    into /usr/share/doc/libbg$(SO)-doc/.

 -- Gerrit Pape <pape@smarden.org>  Tue, 06 Oct 2009 03:05:13 +0000

bglibs (1.104-2) unstable; urgency=low

  * debian/rules: typo (fixes FTBFS on autobuilders).

 -- Gerrit Pape <pape@smarden.org>  Mon, 12 May 2008 08:54:49 +0000

bglibs (1.104-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/ibuf_openreadclose.diff: remove; applied upstream.
  * debian/rules: mostly redo; build, install new packages; drop diet
    libraries for now.
  * debian/control: binary packages change to libbg1, libbg1-dev,
    libbg1-doc, providing shared and static libraries; no longer
    Build-Depends: dietlibc-dev; Build-Depends: libtool;
    Standards-Version: 3.7.3.0.
  * bglibs-dev.postinst, bglibs-dev.README.Debian, bglibs-doc.docs:
    rename to libbg1.*, -dev.*, -doc.* respectively.
  * debian/libbg1-dev.postinst: drop support for upgrade from <<
    1.015-0; run ldconfig on configure.
  * debian/libbg1.postrm: new; run ldconfig on remove.
  * debian/libbg1-doc.docs: adapt paths.
  * debian/implicit: update to revision a09db2e.

 -- Gerrit Pape <pape@smarden.org>  Tue, 29 Apr 2008 21:52:52 +0000

bglibs (1.041-2) unstable; urgency=low

  * debian/diff/ibuf_openreadclose.diff: ibuf_openreadclose() returns 0 if
    it it fails to open the file (#376244).

 -- Gerrit Pape <pape@smarden.org>  Tue, 11 Jul 2006 21:04:49 +0000

bglibs (1.041-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: remove workaround for #327229; strip binaries only; install
    man page into /usr/share/man/ hierarchy and gzip -9.
  * debian/diff/signed-char.diff: remove; applied upstream.

 -- Gerrit Pape <pape@smarden.org>  Sun, 16 Apr 2006 16:22:53 +0000

bglibs (1.031-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/signed-char.diff: adapt.
  * debian/copyright: adapt; license now is LGPL-2.1.

 -- Gerrit Pape <pape@smarden.org>  Tue,  6 Dec 2005 16:49:38 +0000

bglibs (1.027-3) unstable; urgency=low

  * debian/diff/signed-char.diff; new; asc2bin: char->signed char (closes:
    #332321).

 -- Gerrit Pape <pape@smarden.org>  Tue, 18 Oct 2005 18:23:36 +0000

bglibs (1.027-2) unstable; urgency=medium

  * debian/rules: use -O1 in CFLAGS on arm, hppa for build against glibc,
    don't use -Os switch to diet on arm for build against diet libc (works
    around: #327229).

 -- Gerrit Pape <pape@smarden.org>  Mon, 26 Sep 2005 10:00:22 +0000

bglibs (1.027-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: use -O0 in CFLAGS on arm, hppa to work around gcc-4
    optimization problem.

 -- Gerrit Pape <pape@smarden.org>  Wed,  7 Sep 2005 11:20:51 +0000

bglibs (1.026-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/findprev-in-empty.diff, debian/diff/findprev-in-empty.diff:
    remove; fixed upstream.

 -- Gerrit Pape <pape@smarden.org>  Mon, 22 Aug 2005 18:22:34 +0000

bglibs (1.024-2) unstable; urgency=low

  * debian/diff/findprev-in-empty.diff, debian/diff/findprev-in-empty.diff:
    new (fixes mailfront testing failures on alpha, ia64).
  * debian/rules: unpack: apply diffs in debian/diff/.
  * debian/bglibs-dev.postinst: minor.

 -- Gerrit Pape <pape@smarden.org>  Sun, 31 Jul 2005 09:13:08 +0000

bglibs (1.024-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Thu, 14 Jul 2005 08:01:03 +0000

bglibs (1.023-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Standards-Version: 3.6.2.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 10 Jul 2005 11:14:18 +0000

bglibs (1.022-1) unstable; urgency=low

  * new upstream version.
    - fixes build failure on amd64 (thx Kurt Roeckx, closes: #313064).
  * debian/control: Depends: ${shlibs:Depends}.
  * debian/rules: don't install target directories, make install now does;
    binary-arch: run dpkg-shlibdeps.
  * debian/copyright: 2005.

 -- Gerrit Pape <pape@smarden.org>  Wed, 15 Jun 2005 18:45:19 +0000

bglibs (1.021-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Description: BG Libraries Collection.
  * debian/rules: don't apply diff; utilize upstream's conf-lib,
    conf-include, install target and install_prefix.
  * debian/diff/va_foo.diff: remove; fixed upstream.

 -- Gerrit Pape <pape@smarden.org>  Wed,  8 Jun 2005 18:48:27 +0000

bglibs (1.020-3) unstable; urgency=low

  * debian/diff/va_foo.diff: new (fixes build failure on ia64, ppc).
  * debian/rules: apply diff.

 -- Gerrit Pape <pape@smarden.org>  Sat,  4 Jun 2005 12:31:39 +0000

bglibs (1.020-2) unstable; urgency=low

  * debian/rules: typo: use diet, not diet-dyn (fixes build failure).
  * debian/control: remove version restrictions from Build-Depends:
    dietlibc-dev.

 -- Gerrit Pape <pape@smarden.org>  Fri,  3 Jun 2005 09:47:16 +0000

bglibs (1.020-1) unstable; urgency=low

  * debian/control: add Build-Depends: dietlibc-dev [ppc64].
  * debian/rules: add ppc64 to DIET_ARCHS (thx Andreas Jochens, closes:
    #299303); use -nostdinc option with diet libc.
  * new upstream version (closes: #300605).

 -- Gerrit Pape <pape@smarden.org>  Mon, 30 May 2005 19:23:19 +0000

bglibs (1.019-1) unstable; urgency=low

  * new upstream version.
  * debian/control: bglibs-dev package Recommends: bglibs-doc.

 -- Gerrit Pape <pape@smarden.org>  Wed, 17 Nov 2004 13:16:14 +0000

bglibs (1.018-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: minor cleanup.
  * debian/implicit: update to revision 1.10.

 -- Gerrit Pape <pape@smarden.org>  Sat, 30 Oct 2004 12:37:40 +0000

bglibs (1.017-3) unstable; urgency=low

  * debian/rules: use dietlibc-dev on amd64 (thx Andreas Jochens); minor.
  * debian/control: Build-Depends: dietlibc-dev +[amd64].

 -- Gerrit Pape <pape@smarden.org>  Fri, 30 Apr 2004 19:26:56 +0000

bglibs (1.017-2) unstable; urgency=low

  * debian/control: Build-Depends: dietlibc-dev (>> 0.25-0) (fixes
    build/testing failures on archs !i386, !sparc, closes: #240492).

 -- Gerrit Pape <pape@smarden.org>  Sun, 28 Mar 2004 14:37:51 +0000

bglibs (1.017-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: split target unpack-stamp into unpack-gnu-stamp and
    unpack-diet-stamp; add -Os to CFLAGS (fixes build failure on m68k);
    remove workaround to suppress gcc-3.3 warnings (fixes build failure
    with gcc-2.95).
  * debian/implicit: update to revision 1.8.
  * debian/control: Build-Depends: dietlibc-dev (>> 0.24-5).

 -- Gerrit Pape <pape@smarden.org>  Fri, 26 Mar 2004 11:55:56 +0000

bglibs (1.016-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon,  8 Mar 2004 08:09:33 +0000

bglibs (1.015-1) unstable; urgency=low

  * new upstream version.
  * include upstream tar.gz archive in orig.tar.gz.
  * debian/rules: stop using debhelper, use implicit rules; build and
    install libraries linked against dietlibc, additionally to glibc.
  * debian/implicit: new; implicit Makefile rules.
  * debian/control: no longer Build-Depends: debhelper; Build-Depends:
    dietlibc-dev [...]; bglibs-dev Suggests: dietlibc-dev.
  * debian/bglibs-doc.docs: adapt.
  * debian/copyright: include explicit copyright statement.
  * debian/README.Debian: rename to debian/bglibs-dev.README.Debian; adapt.
  * debian/bglibs-dev.postinst: new; make sure /usr/lib/bglibs/lib is a
    symlink after upgrade.
  * debian/bglibs-dev.files: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Sat, 28 Feb 2004 09:44:06 +0000

bglibs (1.011-1) unstable; urgency=low

  * new upstream version.
  * diff/bad-long.diff, diff/crc-64bit.diff, diff/selfpipe-test.diff:
    remove; fixed upstream.
  * debian/rules: disable target patch-stamp.
  * debian/control: Standards-Version: 3.6.1.0.

 -- Gerrit Pape <pape@smarden.org>  Tue,  2 Dec 2003 09:36:10 +0000

bglibs (1.010-2) unstable; urgency=low

  * debian/diff/crc-64bit.diff: new; from upstream: fix buglet in
    crc-gentab.c not accounting for unsigned long being 64-bits long.

 -- Gerrit Pape <pape@smarden.org>  Tue, 18 Nov 2003 20:44:24 +0000

bglibs (1.010-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/sfy-gcc-3.3.diff: remove; fixed upstream.
  * debian/diff/bad-long.diff: new; taken from upstream svn: typo fix.
  * debian/diff/selfpipe-test.diff: new; taken from upstream svn: don't
    rely on selfpipe fds to be 3 and 4.

 -- Gerrit Pape <pape@smarden.org>  Tue, 18 Nov 2003 09:44:01 +0000

bglibs (1.009-2) unstable; urgency=low

  * debian/diff/sfy-gcc-3.3.diff: new; taken from upstream; fixes build
    failure and warnings with gcc-3.3 (closes: #194862).
  * debian/rules: enable target patch.

 -- Gerrit Pape <pape@smarden.org>  Thu, 29 May 2003 17:12:15 +0200

bglibs (1.009-1) unstable; urgency=low

  * new upstream version: rewrite of sha256 and sha512 algorithms to
    make them work on both 64-bit and MSB platforms (closes: #187668).
  * debian/diff/sha64bit.diff: remove; fixed upstream.
  * debian/rules: disable patch target; show compiler version.

 -- Gerrit Pape <pape@smarden.org>  Mon,  7 Apr 2003 20:40:32 +0200

bglibs (1.008-2) unstable; urgency=low

  * debian/diff/sha64bit.diff: new; fixes build failure on 64bit
    architectures (modified and approved by upstream).

 -- Gerrit Pape <pape@smarden.org>  Fri,  4 Apr 2003 09:43:39 +0200

bglibs (1.008-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/const_int.diff: remove; fixed upstream.
  * debian/control: Section: libdevel.

 -- Gerrit Pape <pape@smarden.org>  Thu,  3 Apr 2003 14:09:16 +0200

bglibs (1.007-1) unstable; urgency=low

  * new upstream version.
  * diff/const_int.diff: new; resolve conflicting type in selftest.
  * debian/rules: add targets patch, patch-stamp: apply diffs from
    debian/diff/; minor cleanup.

 -- Gerrit Pape <pape@smarden.org>  Thu, 20 Mar 2003 14:30:05 +0100

bglibs (1.006-1) unstable; urgency=low

  * new upstream version.
  * provide documentation in different package: bglibs-doc.
  * debian/control: add package bglibs-doc; remove [arm] dependency on
    gcc-3.2; Standards-Version: 3.5.8.
  * debian/copyright: refer to common-licenses/GPL-2.
  * debian/rules: remove force-gcc-3.2 workaround for arm, 3.2 is now
    default; build bglibs-doc in target binary-indep.

 -- Gerrit Pape <pape@smarden.org>  Thu,  6 Mar 2003 14:18:13 +0100

bglibs (1.005-1) unstable; urgency=low

  * new upstream version.
  * debian/control: build-depends on gcc-3.2 [arm]; slightly improve
    long description (closes: #151316).
  * debian/rules: force gcc-3.2 on arm, see gcc bug #151675; add -n
    option to dh_installdocs; minor cleanup.

 -- Gerrit Pape <pape@smarden.org>  Wed, 18 Dec 2002 12:54:30 +0100

bglibs (1.003-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Wed,  2 Oct 2002 14:22:19 +0200

bglibs (1.002-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon, 19 Aug 2002 12:03:59 +0200

bglibs (1.001-3) unstable; urgency=low

  * debian/rules: workaround (imho) unexpected behavior of make (see
    bug #153253): 'rm -f installer instcheck instshow' is not enough.

 -- Gerrit Pape <pape@smarden.org>  Fri, 16 Aug 2002 10:43:44 +0200

bglibs (1.001-2) unstable; urgency=low

  * disable -O option to gcc on arm architecture to work around #151675.

 -- Gerrit Pape <pape@smarden.org>  Wed,  3 Jul 2002 10:57:45 +0200

bglibs (1.001-1) unstable; urgency=low

  * Initial Release (closes: #148901).

 -- Gerrit Pape <pape@smarden.org>  Wed, 19 Jun 2002 15:11:42 +0200
